<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_202) on Tue Apr 28 15:50:05 CEST 2020 -->
<title>CHESSViewsPackageImpl</title>
<meta name="date" content="2020-04-28">
<link rel="stylesheet" type="text/css" href="../../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="CHESSViewsPackageImpl";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10,"i20":10,"i21":10,"i22":10,"i23":10,"i24":10,"i25":10,"i26":9,"i27":10};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/CHESSViewsPackageImpl.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/impl/CHESSViewsFactoryImpl.html" title="class in org.polarsys.chess.chessmlprofile.Core.CHESSViews.impl"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/impl/ComponentViewImpl.html" title="class in org.polarsys.chess.chessmlprofile.Core.CHESSViews.impl"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../index.html?org/polarsys/chess/chessmlprofile/Core/CHESSViews/impl/CHESSViewsPackageImpl.html" target="_top">Frames</a></li>
<li><a href="CHESSViewsPackageImpl.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.classes.inherited.from.class.org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container">Nested</a>&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.polarsys.chess.chessmlprofile.Core.CHESSViews.impl</div>
<h2 title="Class CHESSViewsPackageImpl" class="title">Class CHESSViewsPackageImpl</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>org.eclipse.emf.common.notify.impl.BasicNotifierImpl</li>
<li>
<ul class="inheritance">
<li>org.eclipse.emf.ecore.impl.BasicEObjectImpl</li>
<li>
<ul class="inheritance">
<li>org.eclipse.emf.ecore.impl.MinimalEObjectImpl</li>
<li>
<ul class="inheritance">
<li>org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container</li>
<li>
<ul class="inheritance">
<li>org.eclipse.emf.ecore.impl.EModelElementImpl</li>
<li>
<ul class="inheritance">
<li>org.eclipse.emf.ecore.impl.ENamedElementImpl</li>
<li>
<ul class="inheritance">
<li>org.eclipse.emf.ecore.impl.EPackageImpl</li>
<li>
<ul class="inheritance">
<li>org.polarsys.chess.chessmlprofile.Core.CHESSViews.impl.CHESSViewsPackageImpl</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd>org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EPackage, org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder, org.eclipse.emf.ecore.InternalEObject, org.eclipse.emf.ecore.util.BasicExtendedMetaData.EPackageExtendedMetaData.Holder, <a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/CHESSViewsPackage.html" title="interface in org.polarsys.chess.chessmlprofile.Core.CHESSViews">CHESSViewsPackage</a></dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">CHESSViewsPackageImpl</span>
extends org.eclipse.emf.ecore.impl.EPackageImpl
implements <a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/CHESSViewsPackage.html" title="interface in org.polarsys.chess.chessmlprofile.Core.CHESSViews">CHESSViewsPackage</a></pre>
<div class="block"><!-- begin-user-doc -->
 An implementation of the model <b>Package</b>.
 <!-- end-user-doc --></div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested.class.summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from class&nbsp;org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container</h3>
<code>org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container.Dynamic</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.org.eclipse.emf.ecore.impl.MinimalEObjectImpl">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from class&nbsp;org.eclipse.emf.ecore.impl.MinimalEObjectImpl</h3>
<code>org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.org.eclipse.emf.common.notify.impl.BasicNotifierImpl">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from class&nbsp;org.eclipse.emf.common.notify.impl.BasicNotifierImpl</h3>
<code>org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList&lt;E extends java.lang.Object &amp; org.eclipse.emf.common.notify.Adapter&gt;, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.org.polarsys.chess.chessmlprofile.Core.CHESSViews.CHESSViewsPackage">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from interface&nbsp;org.polarsys.chess.chessmlprofile.Core.CHESSViews.<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/CHESSViewsPackage.html" title="interface in org.polarsys.chess.chessmlprofile.Core.CHESSViews">CHESSViewsPackage</a></h3>
<code><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/CHESSViewsPackage.Literals.html" title="interface in org.polarsys.chess.chessmlprofile.Core.CHESSViews">CHESSViewsPackage.Literals</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.org.eclipse.emf.ecore.EPackage">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from interface&nbsp;org.eclipse.emf.ecore.EPackage</h3>
<code>org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.org.eclipse.emf.ecore.InternalEObject">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from interface&nbsp;org.eclipse.emf.ecore.InternalEObject</h3>
<code>org.eclipse.emf.ecore.InternalEObject.EStore</code></li>
</ul>
</li>
</ul>
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.polarsys.chess.chessmlprofile.Core.CHESSViews.CHESSViewsPackage">
<!--   -->
</a>
<h3>Fields inherited from interface&nbsp;org.polarsys.chess.chessmlprofile.Core.CHESSViews.<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/CHESSViewsPackage.html" title="interface in org.polarsys.chess.chessmlprofile.Core.CHESSViews">CHESSViewsPackage</a></h3>
<code><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/CHESSViewsPackage.html#ANALYSIS_VIEW">ANALYSIS_VIEW</a>, <a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/CHESSViewsPackage.html#ANALYSIS_VIEW__BASE_PACKAGE">ANALYSIS_VIEW__BASE_PACKAGE</a>, <a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/CHESSViewsPackage.html#ANALYSIS_VIEW__DEPANALYSISVIEW">ANALYSIS_VIEW__DEPANALYSISVIEW</a>, <a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/CHESSViewsPackage.html#ANALYSIS_VIEW__RTANALYSISVIEW">ANALYSIS_VIEW__RTANALYSISVIEW</a>, <a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/CHESSViewsPackage.html#ANALYSIS_VIEW_FEATURE_COUNT">ANALYSIS_VIEW_FEATURE_COUNT</a>, <a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/CHESSViewsPackage.html#COMPONENT_VIEW">COMPONENT_VIEW</a>, <a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/CHESSViewsPackage.html#COMPONENT_VIEW__BASE_PACKAGE">COMPONENT_VIEW__BASE_PACKAGE</a>, <a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/CHESSViewsPackage.html#COMPONENT_VIEW_FEATURE_COUNT">COMPONENT_VIEW_FEATURE_COUNT</a>, <a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/CHESSViewsPackage.html#DEPENDABILITY_ANALYSIS_VIEW">DEPENDABILITY_ANALYSIS_VIEW</a>, <a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/CHESSViewsPackage.html#DEPENDABILITY_ANALYSIS_VIEW__BASE_PACKAGE">DEPENDABILITY_ANALYSIS_VIEW__BASE_PACKAGE</a>, <a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/CHESSViewsPackage.html#DEPENDABILITY_ANALYSIS_VIEW_FEATURE_COUNT">DEPENDABILITY_ANALYSIS_VIEW_FEATURE_COUNT</a>, <a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/CHESSViewsPackage.html#DEPLOYMENT_VIEW">DEPLOYMENT_VIEW</a>, <a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/CHESSViewsPackage.html#DEPLOYMENT_VIEW__ASSIGN_LIST">DEPLOYMENT_VIEW__ASSIGN_LIST</a>, <a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/CHESSViewsPackage.html#DEPLOYMENT_VIEW__BASE_PACKAGE">DEPLOYMENT_VIEW__BASE_PACKAGE</a>, <a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/CHESSViewsPackage.html#DEPLOYMENT_VIEW_FEATURE_COUNT">DEPLOYMENT_VIEW_FEATURE_COUNT</a>, <a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/CHESSViewsPackage.html#eINSTANCE">eINSTANCE</a>, <a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/CHESSViewsPackage.html#eNAME">eNAME</a>, <a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/CHESSViewsPackage.html#eNS_PREFIX">eNS_PREFIX</a>, <a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/CHESSViewsPackage.html#eNS_URI">eNS_URI</a>, <a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/CHESSViewsPackage.html#EXTRA_FUNCTIONAL_VIEW">EXTRA_FUNCTIONAL_VIEW</a>, <a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/CHESSViewsPackage.html#EXTRA_FUNCTIONAL_VIEW__BASE_PACKAGE">EXTRA_FUNCTIONAL_VIEW__BASE_PACKAGE</a>, <a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/CHESSViewsPackage.html#EXTRA_FUNCTIONAL_VIEW__TIMINGDATAFLOWVIEW">EXTRA_FUNCTIONAL_VIEW__TIMINGDATAFLOWVIEW</a>, <a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/CHESSViewsPackage.html#EXTRA_FUNCTIONAL_VIEW_FEATURE_COUNT">EXTRA_FUNCTIONAL_VIEW_FEATURE_COUNT</a>, <a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/CHESSViewsPackage.html#PSM_VIEW">PSM_VIEW</a>, <a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/CHESSViewsPackage.html#PSM_VIEW__BASE_PACKAGE">PSM_VIEW__BASE_PACKAGE</a>, <a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/CHESSViewsPackage.html#PSM_VIEW_FEATURE_COUNT">PSM_VIEW_FEATURE_COUNT</a>, <a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/CHESSViewsPackage.html#REQUIREMENT_VIEW">REQUIREMENT_VIEW</a>, <a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/CHESSViewsPackage.html#REQUIREMENT_VIEW__BASE_PACKAGE">REQUIREMENT_VIEW__BASE_PACKAGE</a>, <a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/CHESSViewsPackage.html#REQUIREMENT_VIEW_FEATURE_COUNT">REQUIREMENT_VIEW_FEATURE_COUNT</a>, <a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/CHESSViewsPackage.html#RT_ANALYSIS_VIEW">RT_ANALYSIS_VIEW</a>, <a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/CHESSViewsPackage.html#RT_ANALYSIS_VIEW__BASE_PACKAGE">RT_ANALYSIS_VIEW__BASE_PACKAGE</a>, <a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/CHESSViewsPackage.html#RT_ANALYSIS_VIEW_FEATURE_COUNT">RT_ANALYSIS_VIEW_FEATURE_COUNT</a>, <a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/CHESSViewsPackage.html#SYSTEM_VIEW">SYSTEM_VIEW</a>, <a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/CHESSViewsPackage.html#SYSTEM_VIEW__BASE_PACKAGE">SYSTEM_VIEW__BASE_PACKAGE</a>, <a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/CHESSViewsPackage.html#SYSTEM_VIEW_FEATURE_COUNT">SYSTEM_VIEW_FEATURE_COUNT</a>, <a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/CHESSViewsPackage.html#TIMING_DATA_FLOW_VIEW">TIMING_DATA_FLOW_VIEW</a>, <a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/CHESSViewsPackage.html#TIMING_DATA_FLOW_VIEW__BASE_PACKAGE">TIMING_DATA_FLOW_VIEW__BASE_PACKAGE</a>, <a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/CHESSViewsPackage.html#TIMING_DATA_FLOW_VIEW_FEATURE_COUNT">TIMING_DATA_FLOW_VIEW_FEATURE_COUNT</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder">
<!--   -->
</a>
<h3>Fields inherited from interface&nbsp;org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder</h3>
<code>NIL</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.eclipse.emf.ecore.InternalEObject">
<!--   -->
</a>
<h3>Fields inherited from interface&nbsp;org.eclipse.emf.ecore.InternalEObject</h3>
<code>EOPPOSITE_FEATURE_BASE</code></li>
</ul>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/impl/CHESSViewsPackageImpl.html#createPackageContents--">createPackageContents</a></span>()</code>
<div class="block">Creates the meta-model objects for the package.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/impl/CHESSViewsPackageImpl.html#getAnalysisView_Base_Package--">getAnalysisView_Base_Package</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/impl/CHESSViewsPackageImpl.html#getAnalysisView_Depanalysisview--">getAnalysisView_Depanalysisview</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/impl/CHESSViewsPackageImpl.html#getAnalysisView_Rtanalysisview--">getAnalysisView_Rtanalysisview</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EClass</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/impl/CHESSViewsPackageImpl.html#getAnalysisView--">getAnalysisView</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/CHESSViewsFactory.html" title="interface in org.polarsys.chess.chessmlprofile.Core.CHESSViews">CHESSViewsFactory</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/impl/CHESSViewsPackageImpl.html#getCHESSViewsFactory--">getCHESSViewsFactory</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/impl/CHESSViewsPackageImpl.html#getComponentView_Base_Package--">getComponentView_Base_Package</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EClass</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/impl/CHESSViewsPackageImpl.html#getComponentView--">getComponentView</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/impl/CHESSViewsPackageImpl.html#getDependabilityAnalysisView_Base_Package--">getDependabilityAnalysisView_Base_Package</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EClass</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/impl/CHESSViewsPackageImpl.html#getDependabilityAnalysisView--">getDependabilityAnalysisView</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/impl/CHESSViewsPackageImpl.html#getDeploymentView_AssignList--">getDeploymentView_AssignList</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/impl/CHESSViewsPackageImpl.html#getDeploymentView_Base_Package--">getDeploymentView_Base_Package</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EClass</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/impl/CHESSViewsPackageImpl.html#getDeploymentView--">getDeploymentView</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/impl/CHESSViewsPackageImpl.html#getExtraFunctionalView_Base_Package--">getExtraFunctionalView_Base_Package</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/impl/CHESSViewsPackageImpl.html#getExtraFunctionalView_Timingdataflowview--">getExtraFunctionalView_Timingdataflowview</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EClass</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/impl/CHESSViewsPackageImpl.html#getExtraFunctionalView--">getExtraFunctionalView</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/impl/CHESSViewsPackageImpl.html#getPSMView_Base_Package--">getPSMView_Base_Package</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EClass</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/impl/CHESSViewsPackageImpl.html#getPSMView--">getPSMView</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i18" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/impl/CHESSViewsPackageImpl.html#getRequirementView_Base_Package--">getRequirementView_Base_Package</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i19" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EClass</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/impl/CHESSViewsPackageImpl.html#getRequirementView--">getRequirementView</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i20" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/impl/CHESSViewsPackageImpl.html#getRTAnalysisView_Base_Package--">getRTAnalysisView_Base_Package</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i21" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EClass</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/impl/CHESSViewsPackageImpl.html#getRTAnalysisView--">getRTAnalysisView</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i22" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/impl/CHESSViewsPackageImpl.html#getSystemView_Base_Package--">getSystemView_Base_Package</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i23" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EClass</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/impl/CHESSViewsPackageImpl.html#getSystemView--">getSystemView</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i24" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/impl/CHESSViewsPackageImpl.html#getTimingDataFlowView_Base_Package--">getTimingDataFlowView_Base_Package</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i25" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EClass</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/impl/CHESSViewsPackageImpl.html#getTimingDataFlowView--">getTimingDataFlowView</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i26" class="altColor">
<td class="colFirst"><code>static <a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/CHESSViewsPackage.html" title="interface in org.polarsys.chess.chessmlprofile.Core.CHESSViews">CHESSViewsPackage</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/impl/CHESSViewsPackageImpl.html#init--">init</a></span>()</code>
<div class="block">Creates, registers, and initializes the <b>Package</b> for this model, and for any others upon which it depends.</div>
</td>
</tr>
<tr id="i27" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/impl/CHESSViewsPackageImpl.html#initializePackageContents--">initializePackageContents</a></span>()</code>
<div class="block">Complete the initialization of the package and its meta-model.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.impl.EPackageImpl">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.emf.ecore.impl.EPackageImpl</h3>
<code>basicGetESuperPackage, basicSetEFactoryInstance, eBasicRemoveFromContainerFeature, eGet, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eObjectForURIFragmentSegment, eSet, eSetProxyURI, eUnset, freeze, getEClassifier, getEClassifierGen, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getExtendedMetaData, getNsPrefix, getNsURI, setEFactoryInstance, setExtendedMetaData, setNamespaceURI, setNsPrefix, setNsURI, toString</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.impl.ENamedElementImpl">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.emf.ecore.impl.ENamedElementImpl</h3>
<code>eContents, eCrossReferences, getName, getNameGen, setName</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.impl.EModelElementImpl">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.emf.ecore.impl.EModelElementImpl</h3>
<code>eURIFragmentSegment, getEAnnotation, getEAnnotations</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container</h3>
<code>eInternalContainer</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.impl.MinimalEObjectImpl">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.emf.ecore.impl.MinimalEObjectImpl</h3>
<code>dynamicGet, dynamicSet, dynamicUnset, eAdapters, eClass, eContainerFeatureID, eDeliver, eDirectResource, eIsProxy, eProxyURI, eSetClass, eSetDeliver</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.impl.BasicEObjectImpl">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.emf.ecore.impl.BasicEObjectImpl</h3>
<code>eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.common.notify.impl.BasicNotifierImpl">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.emf.common.notify.impl.BasicNotifierImpl</h3>
<code>eNotificationRequired, eNotify</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>equals, getClass, hashCode, notify, notifyAll, wait, wait, wait</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.EPackage">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.ecore.EPackage</h3>
<code>getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.ENamedElement">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.ecore.ENamedElement</h3>
<code>getName, setName</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.EModelElement">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.ecore.EModelElement</h3>
<code>getEAnnotation, getEAnnotations</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.EObject">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.ecore.EObject</h3>
<code>eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.common.notify.Notifier">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.common.notify.Notifier</h3>
<code>eAdapters, eDeliver, eNotify, eSetDeliver</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.InternalEObject">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.ecore.InternalEObject</h3>
<code>eNotificationRequired</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="init--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>init</h4>
<pre>public static&nbsp;<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/CHESSViewsPackage.html" title="interface in org.polarsys.chess.chessmlprofile.Core.CHESSViews">CHESSViewsPackage</a>&nbsp;init()</pre>
<div class="block">Creates, registers, and initializes the <b>Package</b> for this model, and for any others upon which it depends.
 
 <p>This method is used to initialize <a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/CHESSViewsPackage.html#eINSTANCE"><code>CHESSViewsPackage.eINSTANCE</code></a> when that field is accessed.
 Clients should not invoke it directly. Instead, they should simply access that field to obtain the package.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/CHESSViewsPackage.html#eNS_URI"><code>CHESSViewsPackage.eNS_URI</code></a>, 
<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/impl/CHESSViewsPackageImpl.html#createPackageContents--"><code>createPackageContents()</code></a>, 
<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/impl/CHESSViewsPackageImpl.html#initializePackageContents--"><code>initializePackageContents()</code></a></dd>
</dl>
</li>
</ul>
<a name="getExtraFunctionalView--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getExtraFunctionalView</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EClass&nbsp;getExtraFunctionalView()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/CHESSViewsPackage.html#getExtraFunctionalView--">getExtraFunctionalView</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/CHESSViewsPackage.html" title="interface in org.polarsys.chess.chessmlprofile.Core.CHESSViews">CHESSViewsPackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for class '<em>Extra Functional View</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/ExtraFunctionalView.html" title="interface in org.polarsys.chess.chessmlprofile.Core.CHESSViews"><code>ExtraFunctionalView</code></a></dd>
</dl>
</li>
</ul>
<a name="getExtraFunctionalView_Base_Package--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getExtraFunctionalView_Base_Package</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EReference&nbsp;getExtraFunctionalView_Base_Package()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/CHESSViewsPackage.html#getExtraFunctionalView_Base_Package--">getExtraFunctionalView_Base_Package</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/CHESSViewsPackage.html" title="interface in org.polarsys.chess.chessmlprofile.Core.CHESSViews">CHESSViewsPackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the reference '<em>Base Package</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/ExtraFunctionalView.html#getBase_Package--"><code>ExtraFunctionalView.getBase_Package()</code></a>, 
<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/CHESSViewsPackage.html#getExtraFunctionalView--"><code>CHESSViewsPackage.getExtraFunctionalView()</code></a></dd>
</dl>
</li>
</ul>
<a name="getExtraFunctionalView_Timingdataflowview--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getExtraFunctionalView_Timingdataflowview</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EReference&nbsp;getExtraFunctionalView_Timingdataflowview()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/CHESSViewsPackage.html#getExtraFunctionalView_Timingdataflowview--">getExtraFunctionalView_Timingdataflowview</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/CHESSViewsPackage.html" title="interface in org.polarsys.chess.chessmlprofile.Core.CHESSViews">CHESSViewsPackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the containment reference '<em>Timingdataflowview</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/ExtraFunctionalView.html#getTimingdataflowview--"><code>ExtraFunctionalView.getTimingdataflowview()</code></a>, 
<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/CHESSViewsPackage.html#getExtraFunctionalView--"><code>CHESSViewsPackage.getExtraFunctionalView()</code></a></dd>
</dl>
</li>
</ul>
<a name="getTimingDataFlowView--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTimingDataFlowView</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EClass&nbsp;getTimingDataFlowView()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/CHESSViewsPackage.html#getTimingDataFlowView--">getTimingDataFlowView</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/CHESSViewsPackage.html" title="interface in org.polarsys.chess.chessmlprofile.Core.CHESSViews">CHESSViewsPackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for class '<em>Timing Data Flow View</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/TimingDataFlowView.html" title="interface in org.polarsys.chess.chessmlprofile.Core.CHESSViews"><code>TimingDataFlowView</code></a></dd>
</dl>
</li>
</ul>
<a name="getTimingDataFlowView_Base_Package--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTimingDataFlowView_Base_Package</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EReference&nbsp;getTimingDataFlowView_Base_Package()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/CHESSViewsPackage.html#getTimingDataFlowView_Base_Package--">getTimingDataFlowView_Base_Package</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/CHESSViewsPackage.html" title="interface in org.polarsys.chess.chessmlprofile.Core.CHESSViews">CHESSViewsPackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the reference '<em>Base Package</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/TimingDataFlowView.html#getBase_Package--"><code>TimingDataFlowView.getBase_Package()</code></a>, 
<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/CHESSViewsPackage.html#getTimingDataFlowView--"><code>CHESSViewsPackage.getTimingDataFlowView()</code></a></dd>
</dl>
</li>
</ul>
<a name="getRTAnalysisView--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRTAnalysisView</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EClass&nbsp;getRTAnalysisView()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/CHESSViewsPackage.html#getRTAnalysisView--">getRTAnalysisView</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/CHESSViewsPackage.html" title="interface in org.polarsys.chess.chessmlprofile.Core.CHESSViews">CHESSViewsPackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for class '<em>RT Analysis View</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/RTAnalysisView.html" title="interface in org.polarsys.chess.chessmlprofile.Core.CHESSViews"><code>RTAnalysisView</code></a></dd>
</dl>
</li>
</ul>
<a name="getRTAnalysisView_Base_Package--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRTAnalysisView_Base_Package</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EReference&nbsp;getRTAnalysisView_Base_Package()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/CHESSViewsPackage.html#getRTAnalysisView_Base_Package--">getRTAnalysisView_Base_Package</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/CHESSViewsPackage.html" title="interface in org.polarsys.chess.chessmlprofile.Core.CHESSViews">CHESSViewsPackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the reference '<em>Base Package</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/RTAnalysisView.html#getBase_Package--"><code>RTAnalysisView.getBase_Package()</code></a>, 
<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/CHESSViewsPackage.html#getRTAnalysisView--"><code>CHESSViewsPackage.getRTAnalysisView()</code></a></dd>
</dl>
</li>
</ul>
<a name="getDeploymentView--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDeploymentView</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EClass&nbsp;getDeploymentView()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/CHESSViewsPackage.html#getDeploymentView--">getDeploymentView</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/CHESSViewsPackage.html" title="interface in org.polarsys.chess.chessmlprofile.Core.CHESSViews">CHESSViewsPackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for class '<em>Deployment View</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/DeploymentView.html" title="interface in org.polarsys.chess.chessmlprofile.Core.CHESSViews"><code>DeploymentView</code></a></dd>
</dl>
</li>
</ul>
<a name="getDeploymentView_Base_Package--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDeploymentView_Base_Package</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EReference&nbsp;getDeploymentView_Base_Package()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/CHESSViewsPackage.html#getDeploymentView_Base_Package--">getDeploymentView_Base_Package</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/CHESSViewsPackage.html" title="interface in org.polarsys.chess.chessmlprofile.Core.CHESSViews">CHESSViewsPackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the reference '<em>Base Package</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/DeploymentView.html#getBase_Package--"><code>DeploymentView.getBase_Package()</code></a>, 
<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/CHESSViewsPackage.html#getDeploymentView--"><code>CHESSViewsPackage.getDeploymentView()</code></a></dd>
</dl>
</li>
</ul>
<a name="getDeploymentView_AssignList--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDeploymentView_AssignList</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EReference&nbsp;getDeploymentView_AssignList()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/CHESSViewsPackage.html#getDeploymentView_AssignList--">getDeploymentView_AssignList</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/CHESSViewsPackage.html" title="interface in org.polarsys.chess.chessmlprofile.Core.CHESSViews">CHESSViewsPackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the reference list '<em>Assign List</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/DeploymentView.html#getAssignList--"><code>DeploymentView.getAssignList()</code></a>, 
<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/CHESSViewsPackage.html#getDeploymentView--"><code>CHESSViewsPackage.getDeploymentView()</code></a></dd>
</dl>
</li>
</ul>
<a name="getRequirementView--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRequirementView</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EClass&nbsp;getRequirementView()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/CHESSViewsPackage.html#getRequirementView--">getRequirementView</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/CHESSViewsPackage.html" title="interface in org.polarsys.chess.chessmlprofile.Core.CHESSViews">CHESSViewsPackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for class '<em>Requirement View</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/RequirementView.html" title="interface in org.polarsys.chess.chessmlprofile.Core.CHESSViews"><code>RequirementView</code></a></dd>
</dl>
</li>
</ul>
<a name="getRequirementView_Base_Package--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRequirementView_Base_Package</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EReference&nbsp;getRequirementView_Base_Package()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/CHESSViewsPackage.html#getRequirementView_Base_Package--">getRequirementView_Base_Package</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/CHESSViewsPackage.html" title="interface in org.polarsys.chess.chessmlprofile.Core.CHESSViews">CHESSViewsPackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the reference '<em>Base Package</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/RequirementView.html#getBase_Package--"><code>RequirementView.getBase_Package()</code></a>, 
<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/CHESSViewsPackage.html#getRequirementView--"><code>CHESSViewsPackage.getRequirementView()</code></a></dd>
</dl>
</li>
</ul>
<a name="getComponentView--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getComponentView</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EClass&nbsp;getComponentView()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/CHESSViewsPackage.html#getComponentView--">getComponentView</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/CHESSViewsPackage.html" title="interface in org.polarsys.chess.chessmlprofile.Core.CHESSViews">CHESSViewsPackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for class '<em>Component View</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/ComponentView.html" title="interface in org.polarsys.chess.chessmlprofile.Core.CHESSViews"><code>ComponentView</code></a></dd>
</dl>
</li>
</ul>
<a name="getComponentView_Base_Package--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getComponentView_Base_Package</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EReference&nbsp;getComponentView_Base_Package()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/CHESSViewsPackage.html#getComponentView_Base_Package--">getComponentView_Base_Package</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/CHESSViewsPackage.html" title="interface in org.polarsys.chess.chessmlprofile.Core.CHESSViews">CHESSViewsPackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the reference '<em>Base Package</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/ComponentView.html#getBase_Package--"><code>ComponentView.getBase_Package()</code></a>, 
<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/CHESSViewsPackage.html#getComponentView--"><code>CHESSViewsPackage.getComponentView()</code></a></dd>
</dl>
</li>
</ul>
<a name="getDependabilityAnalysisView--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDependabilityAnalysisView</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EClass&nbsp;getDependabilityAnalysisView()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/CHESSViewsPackage.html#getDependabilityAnalysisView--">getDependabilityAnalysisView</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/CHESSViewsPackage.html" title="interface in org.polarsys.chess.chessmlprofile.Core.CHESSViews">CHESSViewsPackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for class '<em>Dependability Analysis View</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/DependabilityAnalysisView.html" title="interface in org.polarsys.chess.chessmlprofile.Core.CHESSViews"><code>DependabilityAnalysisView</code></a></dd>
</dl>
</li>
</ul>
<a name="getDependabilityAnalysisView_Base_Package--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDependabilityAnalysisView_Base_Package</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EReference&nbsp;getDependabilityAnalysisView_Base_Package()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/CHESSViewsPackage.html#getDependabilityAnalysisView_Base_Package--">getDependabilityAnalysisView_Base_Package</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/CHESSViewsPackage.html" title="interface in org.polarsys.chess.chessmlprofile.Core.CHESSViews">CHESSViewsPackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the reference '<em>Base Package</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/DependabilityAnalysisView.html#getBase_Package--"><code>DependabilityAnalysisView.getBase_Package()</code></a>, 
<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/CHESSViewsPackage.html#getDependabilityAnalysisView--"><code>CHESSViewsPackage.getDependabilityAnalysisView()</code></a></dd>
</dl>
</li>
</ul>
<a name="getSystemView--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSystemView</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EClass&nbsp;getSystemView()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/CHESSViewsPackage.html#getSystemView--">getSystemView</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/CHESSViewsPackage.html" title="interface in org.polarsys.chess.chessmlprofile.Core.CHESSViews">CHESSViewsPackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for class '<em>System View</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/SystemView.html" title="interface in org.polarsys.chess.chessmlprofile.Core.CHESSViews"><code>SystemView</code></a></dd>
</dl>
</li>
</ul>
<a name="getSystemView_Base_Package--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSystemView_Base_Package</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EReference&nbsp;getSystemView_Base_Package()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/CHESSViewsPackage.html#getSystemView_Base_Package--">getSystemView_Base_Package</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/CHESSViewsPackage.html" title="interface in org.polarsys.chess.chessmlprofile.Core.CHESSViews">CHESSViewsPackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the reference '<em>Base Package</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/SystemView.html#getBase_Package--"><code>SystemView.getBase_Package()</code></a>, 
<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/CHESSViewsPackage.html#getSystemView--"><code>CHESSViewsPackage.getSystemView()</code></a></dd>
</dl>
</li>
</ul>
<a name="getPSMView--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPSMView</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EClass&nbsp;getPSMView()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/CHESSViewsPackage.html#getPSMView--">getPSMView</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/CHESSViewsPackage.html" title="interface in org.polarsys.chess.chessmlprofile.Core.CHESSViews">CHESSViewsPackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for class '<em>PSM View</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/PSMView.html" title="interface in org.polarsys.chess.chessmlprofile.Core.CHESSViews"><code>PSMView</code></a></dd>
</dl>
</li>
</ul>
<a name="getPSMView_Base_Package--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPSMView_Base_Package</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EReference&nbsp;getPSMView_Base_Package()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/CHESSViewsPackage.html#getPSMView_Base_Package--">getPSMView_Base_Package</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/CHESSViewsPackage.html" title="interface in org.polarsys.chess.chessmlprofile.Core.CHESSViews">CHESSViewsPackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the reference '<em>Base Package</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/PSMView.html#getBase_Package--"><code>PSMView.getBase_Package()</code></a>, 
<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/CHESSViewsPackage.html#getPSMView--"><code>CHESSViewsPackage.getPSMView()</code></a></dd>
</dl>
</li>
</ul>
<a name="getAnalysisView--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getAnalysisView</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EClass&nbsp;getAnalysisView()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/CHESSViewsPackage.html#getAnalysisView--">getAnalysisView</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/CHESSViewsPackage.html" title="interface in org.polarsys.chess.chessmlprofile.Core.CHESSViews">CHESSViewsPackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for class '<em>Analysis View</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/AnalysisView.html" title="interface in org.polarsys.chess.chessmlprofile.Core.CHESSViews"><code>AnalysisView</code></a></dd>
</dl>
</li>
</ul>
<a name="getAnalysisView_Base_Package--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getAnalysisView_Base_Package</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EReference&nbsp;getAnalysisView_Base_Package()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/CHESSViewsPackage.html#getAnalysisView_Base_Package--">getAnalysisView_Base_Package</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/CHESSViewsPackage.html" title="interface in org.polarsys.chess.chessmlprofile.Core.CHESSViews">CHESSViewsPackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the reference '<em>Base Package</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/AnalysisView.html#getBase_Package--"><code>AnalysisView.getBase_Package()</code></a>, 
<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/CHESSViewsPackage.html#getAnalysisView--"><code>CHESSViewsPackage.getAnalysisView()</code></a></dd>
</dl>
</li>
</ul>
<a name="getAnalysisView_Rtanalysisview--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getAnalysisView_Rtanalysisview</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EReference&nbsp;getAnalysisView_Rtanalysisview()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/CHESSViewsPackage.html#getAnalysisView_Rtanalysisview--">getAnalysisView_Rtanalysisview</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/CHESSViewsPackage.html" title="interface in org.polarsys.chess.chessmlprofile.Core.CHESSViews">CHESSViewsPackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the containment reference '<em>Rtanalysisview</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/AnalysisView.html#getRtanalysisview--"><code>AnalysisView.getRtanalysisview()</code></a>, 
<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/CHESSViewsPackage.html#getAnalysisView--"><code>CHESSViewsPackage.getAnalysisView()</code></a></dd>
</dl>
</li>
</ul>
<a name="getAnalysisView_Depanalysisview--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getAnalysisView_Depanalysisview</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EReference&nbsp;getAnalysisView_Depanalysisview()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/CHESSViewsPackage.html#getAnalysisView_Depanalysisview--">getAnalysisView_Depanalysisview</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/CHESSViewsPackage.html" title="interface in org.polarsys.chess.chessmlprofile.Core.CHESSViews">CHESSViewsPackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the reference '<em>Depanalysisview</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/AnalysisView.html#getDepanalysisview--"><code>AnalysisView.getDepanalysisview()</code></a>, 
<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/CHESSViewsPackage.html#getAnalysisView--"><code>CHESSViewsPackage.getAnalysisView()</code></a></dd>
</dl>
</li>
</ul>
<a name="getCHESSViewsFactory--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCHESSViewsFactory</h4>
<pre>public&nbsp;<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/CHESSViewsFactory.html" title="interface in org.polarsys.chess.chessmlprofile.Core.CHESSViews">CHESSViewsFactory</a>&nbsp;getCHESSViewsFactory()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/CHESSViewsPackage.html#getCHESSViewsFactory--">getCHESSViewsFactory</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/CHESSViewsPackage.html" title="interface in org.polarsys.chess.chessmlprofile.Core.CHESSViews">CHESSViewsPackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the factory that creates the instances of the model.</dd>
</dl>
</li>
</ul>
<a name="createPackageContents--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createPackageContents</h4>
<pre>public&nbsp;void&nbsp;createPackageContents()</pre>
<div class="block">Creates the meta-model objects for the package.  This method is
 guarded to have no affect on any invocation but its first.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="initializePackageContents--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>initializePackageContents</h4>
<pre>public&nbsp;void&nbsp;initializePackageContents()</pre>
<div class="block">Complete the initialization of the package and its meta-model.  This
 method is guarded to have no affect on any invocation but its first.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/CHESSViewsPackageImpl.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/impl/CHESSViewsFactoryImpl.html" title="class in org.polarsys.chess.chessmlprofile.Core.CHESSViews.impl"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/impl/ComponentViewImpl.html" title="class in org.polarsys.chess.chessmlprofile.Core.CHESSViews.impl"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../index.html?org/polarsys/chess/chessmlprofile/Core/CHESSViews/impl/CHESSViewsPackageImpl.html" target="_top">Frames</a></li>
<li><a href="CHESSViewsPackageImpl.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.classes.inherited.from.class.org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container">Nested</a>&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
